---
name: Bug Report
about: Help us idenify bugs so we can InfiniteOpt better!
title: "[BUG] My Issue Here"
labels: bug
assignees: ''

---

PLEASE FIRST CHECK IF THERE IS A RELATED EXISTING ISSUE BEFORE OPENING A NEW ONE.

**Describe the bug**
A clear and concise description of what the bug is. 

**To Reproduce**
Please provide a minimum working example that causes this behavior (see how [here](https://discourse.julialang.org/t/psa-make-it-easier-to-help-you/14757)). Do NOT copy your entire script, this makes debugging very difficult. Also, include a copy of the error you encounter if applicable. 
```julia
using InfiniteOpt, JuMP [plus other packages]

[my minimum working script here]
```
```julia 
[unexpected output]
```

**Expected behavior**
A clear and concise description of what you expected to happen.

**Desktop (please complete the following information):**
 - OS: [e.g., iOS]
 - Package Versions :[e.g., InfiniteOpt v0.1.0 and JuMP v0.21.1]
 - Julia Version: [e.g., 1.3.1]

**Additional context**
Add any other context about the problem here.
